class Api::UsersController < ApplicationController
  doorkeeper_for :all
  respond_to     :json

  # Use access scope as:
  # doorkeeper_for :index, :show, :me,
  #   :scopes => [:public, :admin]
  # doorkeeper_for :update, :create,
  #   :scopes => [:write, :admin]
  # doorkeeper_for :destroy,
  #   :scopes => [:admin]

  # GET /me.json
  def me
    respond_with User.find(doorkeeper_token.resource_owner_id)
  end
end
